
From: Brian Gerst <bgerst@didntduck.org>

include/linux/prefetch.h: In function `prefetch_range':
include/linux/prefetch.h:62: warning: pointer of type `void *' used in 
arithmetic


---

 25-akpm/include/linux/prefetch.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/prefetch.h~fix-warning-in-prefetch_range include/linux/prefetch.h
--- 25/include/linux/prefetch.h~fix-warning-in-prefetch_range	2004-04-25 22:08:57.184793272 -0700
+++ 25-akpm/include/linux/prefetch.h	2004-04-25 22:08:57.187792816 -0700
@@ -59,7 +59,7 @@ static inline void prefetch_range(void *
 {
 #ifdef ARCH_HAS_PREFETCH
 	char *cp;
-	char *end = addr + len;
+	char *end = (char *)addr + len;
 
 	for (cp = addr; cp < end; cp += PREFETCH_STRIDE)
 		prefetch(cp);

_
